dde-kwin (6.0.8) unstable; urgency=medium

  * fix: update window rules
  * refactor(package): rename deepin-kwin to kwin

 -- justforlxz <justforlxz@gmail.com>  Thu, 19 Mar 2026 11:53:09 +0800

dde-kwin (6.0.7) unstable; urgency=medium

  * rename deepin-kwin to kwin

 -- guoyao <guoyao@uniontech.com>  Thu, 22 Jan 2026 10:16:52 +0800

dde-kwin (6.0.6) unstable; urgency=medium

  * chore: change user_type default to 1

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Mon, 5 Jan 2026 15:59:09 +0800

dde-kwin (6.0.5) unstable; urgency=medium

  * fix: resolve dde-kwin configuration hang

 -- shining <shining@uniontech.com>  Mon, 22 Dec 2025 15:59:09 +0800

dde-kwin (6.0.4) unstable; urgency=medium

  * chore: add dconfig value for compositing level

 -- shining <shining@uniontech.com>  Thu, 04 Dec 2025 14:17:15 +0800

dde-kwin (6.0.3) unstable; urgency=medium

  * fix(ddelaunchpad): make it work at kf6

 -- rewine <luhongxu@deepin.org>  Wed, 23 Apr 2025 14:29:40 +0800

dde-kwin (6.0.2) unstable; urgency=medium

  * feat: set default workspaces name to 2

 -- rewine <luhongxu@deepin.org>  Wed, 16 Apr 2025 18:23:41 +0800

dde-kwin (6.0.1) unstable; urgency=medium

  * Fix shortcuts

 -- rewine <luhongxu@uniontech.com>  Wed, 02 Apr 2025 17:28:58 +0800

dde-kwin (6.0.0) unstable; urgency=medium

  * Port to deepin v25

 -- rewine <luhongxu@uniontech.com>  Mon, 24 Mar 2025 09:57:52 +0800

dde-kwin (5.8.184) unstable; urgency=medium

  * add config for callpu

 -- LiuHeng <liuhenga@uniontech.com>  Fri, 10 Jan 2025 18:28:36 +0800

dde-kwin (5.8.183) unstable; urgency=medium

  * Bug fix:
    + fix: add browser into shadow whitelist
    + fix: flmx-ai shortcuts register failed

 -- huangzeming <huangzeming@uniontech.com>  Tue, 24 Dec 2024 11:34:44 +0800

dde-kwin (5.8.182) unstable; urgency=medium

  * Bug fix:
    + feat: add XWAYLAND_FORCE_SUPPORT_GLAMOR env

 -- yangtian <yangtian@uniontech.com>  Wed, 11 Dec 2024 14:58:00 +0800

dde-kwin (5.8.181) unstable; urgency=medium

  * Bug fix:
    + fix: add interface to perferred cursor show output

 -- huangzhenyan <huangzhenyan@uniontech.com>  Mon, 02 Sep 2024 15:35:39 +0800

dde-kwin (5.8.180) unstable; urgency=medium

  * Bug fix:
    + fix: add edge software cursor item in pgx

 -- dingzhixuan <dingzhixuan@uniontech.com>  Tue, 13 Aug 2024 16:47:39 +0800

dde-kwin (5.8.133) unstable; urgency=medium

  * Bug fix:
    + fix: add drag.json to set dragging with content
    + fix: The issue of ineffective modification of the meta+a shortcut key 
    + fix: kwin upgrade and kglobalshortcutsrc config incompatibility

 -- yangtian <yangtian@uniontech.com>  Wed, 26 Jun 2024 13:38:12 +0800

dde-kwin (5.8.132) unstable; urgency=medium

  * Task:
    + feat: add icbc prohibitscreenshot

 -- huangzeming <huangzeming@uniontech.com>  Wed, 19 Jun 2024 14:00:38 +0800

dde-kwin (5.8.131) unstable; urgency=medium

  * Bug fix:
    + fix: bug fix

 -- zhangyu <zhangyud@uniontech.com>  Thu, 13 Jun 2024 13:59:48 +0800

dde-kwin (5.8.130) unstable; urgency=medium

  * Task:
    + 347143 feat: add virtual terminal switch dconfig configuration
  * Bug fix:
    + fix: add supportDmabufExt for org.kde.kwin.compositing

 -- dingzhixuan <dingzhixuan@uniontech.com>  Wed, 29 May 2024 18:23:48 +0800

dde-kwin (5.8.129) unstable; urgency=medium

  [dingzhixuan]
  * fix: remove dock extend border

 -- dingzhixuan <dingzhixuan@uniontech.com>  Wed, 15 May 2024 15:06:12 +0800

dde-kwin (5.8.28) unstable; urgency=medium

  * fix: add partialUpdate for org.kde.kwin.compositing

 -- huangzeming <huangzeming@uniontech.com>  Wed, 17 Apr 2024 18:10:06 +0800

dde-kwin (5.8.27) unstable; urgency=medium

  * fix: window corner

 -- yangtian <yangtian@uniontech.com>  Wed, 17 Apr 2024 11:05:34 +0800

dde-kwin (5.8.26) unstable; urgency=medium

  * fix: connect compositingEnabledChanged to effectsEnabledChanged

 -- wangboyu <wangboyu@uniontech.com>  Thu, 14 Mar 2024 19:26:02 +0800

dde-kwin (5.8.25) unstable; urgency=medium

  * feat: add readonly defaultTitlebarHeight dconfig

 -- gengzhijie <gengzhijie@uniontech.com>  Tue, 12 Mar 2024 14:18:02 +0800

dde-kwin (5.8.24) unstable; urgency=medium

  * fix: set default log level to warning

 -- huangzeming <huangzeming@uniontech.com>  Fri, 01 Mar 2024 10:40:54 +0800

dde-kwin (5.8.23) unstable; urgency=medium

  * fix: dde-control can't read maximize/unmaximize shortcut

 -- xinbo wang <wangxinbo@uniontech.com>  Thur, 22 Feb 2024 17:16:13 +0800

dde-kwin (5.8.22) unstable; urgency=medium

  * fix: temporarily support the old version switch

 -- wangboyu <wangboyu@uniontech.com>  Sun, 21 Jan 2024 14:14:54 +0800

dde-kwin (5.8.21) unstable; urgency=medium

  * fix: the tips for the dock are located in the upper left corner of the screen.

 -- wangboyu <wangboyu@uniontech.com>  Thu, 11 Jan 2024 17:07:54 +0800

dde-kwin (5.8.20) unstable; urgency=medium

  * feat: config of fadingpopups animation effect

 -- wangboyu <wangboyu@uniontech.com>  Mon, 08 Jan 2024 10:26:54 +0800

dde-kwin (5.8.19) unstable; urgency=medium

  * Bug fix:
    + fix: edit compositing dconfig file
    + fix: num pad can't do view zoom in/out shortcut

 -- huangzeming <huangzeming@uniontech.com>  Fri, 05 Jan 2024 15:42:54 +0800

dde-kwin (5.8.18) unstable; urgency=medium

  * Task:
    + feat: add effect type configuration
  * Bug fix:
    + fix: add maximize/unmaximize window shortcut.

 -- huangzeming <huangzeming@uniontech.com>  Wed, 03 Jan 2024 17:47:49 +0800

dde-kwin (5.8.17) unstable; urgency=medium

  * Task:
    + feat: journal and debug config adaptation

 -- huangzeming <huangzeming@uniontech.com>  Fri, 29 Dec 2023 13:45:17 +0800

dde-kwin (5.8.16) unstable; urgency=medium

  * Bug fix:
    + fix: change Desktops to VirtualDesktops
    + fix: the right-click menu should not be displayed after using the alt+space shortcut key in the launcher window
    + fix: the right-click menu position of all areas of the taskbar is displayed incorrectly
  * Task:
    + feat: add support for switching compositing backend

 -- gengzhijie <gengzhijie@uniontech.com>  Thu, 21 Dec 2023 19:01:23 +0800

dde-kwin (5.8.15) unstable; urgency=medium

  * Bug fix:
    + fix: optimize Sogou input method window rules

 -- wangboyu <wangboyu@uniontech.com>  Mon, 18 Dec 2023 17:08:10 +0800

dde-kwin (5.8.14) unstable; urgency=medium

  * Bug fix:
    + 223787, 220071 fix: remove zone detected

 -- gengzhijie <gengzhijie@uniontech.com>  Fri, 15 Dec 2023 16:28:10 +0800

dde-kwin (5.8.13) unstable; urgency=medium

  * Bug fix:
    + fix: sogou input method flashes

 -- wangyu <wangyu@uniontech.com>  Sat, 09 Dec 2023 17:04:17 +0800

dde-kwin (5.8.12) unstable; urgency=medium

  * Bug fix:
    + 222697 fix: desktop become grey

 -- gengzhijie <gengzhijie@uniontech.com>  Mon, 04 Dec 2023 17:21:17 +0800

dde-kwin (5.8.11) unstable; urgency=medium

  * fix:
    + fix: 224825\217447

 -- zhangyu <zhangyud@uniontech.com>  Fri, 01 Dec 2023 15:31:42 +0800

dde-kwin (5.8.10) unstable; urgency=medium

  * fix:
    + fix: several shortcuts for zoom effect didn't work

 -- huangzeming <huangzeming@uniontech.com>  Fri, 24 Nov 2023 14:51:42 +0800

dde-kwin (5.8.9) unstable; urgency=medium

  * fix:
    + fix: multitaskview effect was disabled by default

 -- huangzeming <huangzeming@uniontech.com>  Wed, 08 Nov 2023 16:18:35 +0800

dde-kwin (5.8.8) unstable; urgency=medium

  * fix:
    + fix: touchpad can't exit multitaskview in wayland

 -- huangzeming <huangzeming@uniontech.com>  Fri, 03 Nov 2023 17:22:23 +0800

dde-kwin (5.8.7) unstable; urgency=medium

  * fix:
    + fix: 219331

 -- zhangyu <zhangyud@uniontech.com>  Sun, 29 Oct 2023 16:20:11 +0800

dde-kwin (5.8.6) unstable; urgency=medium

  * feat:
    + feat: add dconfig file about watermark\multitaskview\titlebar

 -- zhangyu <zhangyud@uniontech.com>  Fri, 20 Oct 2023 17:45:11 +0800

dde-kwin (5.8.5) unstable; urgency=medium

  * feat:
    + feat: add support for modifying zoom shortcut.

 -- wangboyu <wangboyu@uniontech.com>  Wed, 11 Oct 2023 18:43:11 +0800

dde-kwin (5.8.4) unstable; urgency=medium

  * Bug fix:
    + 217441 fix: dbus and shortcut can't switch 2D or 3D.

 -- wangboyu <wangboyu@uniontech.com>  Mon, 11 Sep 2023 17:53:11 +0800

dde-kwin (5.6.5) unstable; urgency=medium

  * Bug fix:
    + 143589 fix: optimize the close about menu.

 -- Lei Su <sulei@uniontech.com>  Mon, 07 Nov 2022 16:46:57 +0800

dde-kwin (5.6.4) unstable; urgency=medium
  * Bug fix:
    + 140697 fix: show dock on all desktops

 -- Lei Su <sulei@uniontech.com>  Mon, 17 Oct 2022 16:10:00 +0800

dde-kwin (5.6.3) unstable; urgency=medium
  * Bug fix:
    + 141897 fix: set descoration or zone don't need call kwin reconfigure.

 -- Lei Su <sulei@uniontech.com>  Fri, 19 Aug 2022 13:40:00 +0800

dde-kwin (5.6.2) unstable; urgency=medium
  * Bug fix:
    + 150343 fix: kwinrules to deepin-kwinrules

 -- zhang yu <zhangyud@uniontech.com>  Mon, 15 Aug 2022 15:40:00 +0800

dde-kwin (5.6.1) unstable; urgency=medium

  * Bug fix:
    + 141799 fix: kglobalaccel read wrong shortcut component name.

 -- Lei Su <sulei@uniontech.com>  Thu, 07 Jul 2022 10:21:21 +0800

dde-kwin (5.6.0) unstable; urgency=medium

  * update release version (5.6.0).

 -- xinbo wang <wangxinbo@uniontech.com>  Mon, 20 Jun 2022 19:44:04 +0800

dde-kwin (5.5.14) unstable; urgency=medium

  * Bug fix:
    + 137089 fix: the four corners disappearing delay

 -- diguoliang <diguoliang@uniontech.com>  Fri, 17 Jun 2022 21:56:04 +0800

dde-kwin (5.5.13) unstable; urgency=medium

  * Bug fix:
    + 137121 fix: the problem of no menu icon in titlebar

 -- diguoliang <diguoliang@uniontech.com>  Wed, 15 Jun 2022 10:24:15 +0800

dde-kwin (5.5.10-1) unstable; urgency=medium

  * Bug fix:
    + 123355 fix: no blur effect on dde-grand-search and dde-network-dialog with wayland

 -- Lei Su <sulei@uniontech.com>  Tue, 26 Apr 2022 20:29:53 +0800

dde-kwin (5.5.9-1) unstable; urgency=medium

  * Bug fix:
    + 111891 fix: add shortcut of ScreenshotOcr/ScreenshotScroll/GlobalSearch.

 -- Lei Su <sulei@uniontech.com>  Mon, 18 Apr 2022 15:08:35 +0800

dde-kwin (5.5.8-1) unstable; urgency=medium

  * Bug fix:
    + 96087, 119943, 103388 fix: not blur and two half-width docks on wayland

 -- Lei Su <sulei@uniontech.com>  Thu, 31 Mar 2022 22:05:59 +0800

dde-kwin (5.5.7-1) unstable; urgency=medium

  * feat:
    + feat: remove qt deps for windowtool.

 -- Lei Su <sulei@uniontech.com>  Mon, 28 Mar 2022 18:00:35 +0800

dde-kwin (5.5.6-1.1) unstable; urgency=medium

  * Bug fix:
    + fix: Fix compilation failures.

 -- Lei Su <sulei@uniontech.com>  Fri, 25 Mar 2022 18:57:39 +0800

dde-kwin (5.5.5-1) unstable; urgency=medium

  * feat:
    + 97260 feat: add func about maxi button long press

 -- Lei Su <sulei@uniontech.com>  Fri, 25 Mar 2022 17:53:15 +0800

dde-kwin (5.5.4-1) unstable; urgency=medium

  * Bug fix:
    + 113223 fix: qtcreator split menu style error on x11 platform

 -- Lei Su <sulei@uniontech.com>  Fri, 25 Mar 2022 15:50:28 +0800

dde-kwin (5.5.3-1) unstable; urgency=medium

  * feat:
    + refactor: Refactor the multitasking view.

 -- Lei Su <sulei@uniontech.com>  Mon, 21 Mar 2022 21:21:57 +0800

dde-kwin (5.4.34-1) unstable; urgency=medium

  * Bug fix:
    + 96087, 103388 fix: transparency of docker/launcher/notification/clipboard on wayland

  * Task:
    + 101855 feat: add style to titlebar menu

 -- Lei Su <sulei@uniontech.com>  Tue, 15 Mar 2022 22:41:38 +0800

dde-kwin (5.4.33-1) unstable; urgency=medium

  * Bug fix:
    + 107455 fix: DDE-kwin cannot call PresentWindows under wayland platform.

 -- Lei Su <sulei@uniontech.com>  Mon, 14 Mar 2022 19:26:40 +0800

dde-kwin (5.4.26-1) unstable; urgency=medium

  * Bug fix:
    + 112988 fix: In 2D mode, ssd client's chameleonButtons invalid.

 -- Lei Su <sulei@uniontech.com>  Tue, 22 Feb 2022 19:35:07 +0800

dde-kwin (5.4.23-1) unstable; urgency=medium

  * Bug fix:
    + 109640 fix: the splitmenu is not available on wayland platform.

 -- Lei Su <sulei@uniontech.com>  Thu, 10 Feb 2022 15:25:10 +0800

dde-kwin (5.4.22-1) unstable; urgency=medium

  * Feat:
    + 97260 feat: add func about maxi button long press

 -- Lei Su <sulei@uniontech.com>  Mon, 10 Jan 2022 15:56:06 +0800

dde-kwin (5.4.21-1) unstable; urgency=medium

  * Bug fix:
    + 104607 chore: add a dependency on 'kwin-wayland'.

 -- Lei Su <sulei@uniontech.com>  Thu, 30 Dec 2021 19:09:00 +0800

dde-kwin (5.4.20-1) unstable; urgency=medium

  * Bug fix:
    + 109751 fix: cancle decoration hover event when the client is moving

 -- Lei Su <sulei@uniontech.com>  Mon, 27 Dec 2021 15:11:25 +0800

dde-kwin (5.4.19-1) unstable; urgency=medium

  * Bug fix:
    + fix: Cannot use shortcut keys to bring up the multitasking view.

  * Unit test:
    + test: modify the unit test working directory

 -- Lei Su <sulei@uniontech.com>  Thu, 16 Dec 2021 10:17:07 +0800

dde-kwin (5.4.18-1) unstable; urgency=medium

  * Bug fix:
    + fix: adjust menu style
    + fix: add a root accessible.name for alt + tab
    + fix: Fix the problem that the maximized window cannot fill the screen
    + fix: Some shortcuts are registered only in wayland mode.
    + fix: Maximize split screen menu disappears

 -- Lei Su <sulei@uniontech.com>  Fri, 03 Dec 2021 15:47:30 +0800

dde-kwin (5.4.17-1) unstable; urgency=medium

  * Bug fix:
    + fix: Alt + TAB module support for automated testing has been temporarily withdrawn

 -- Lei Su <sulei@uniontech.com>  Sat, 20 Nov 2021 16:33:33 +0800

dde-kwin (5.4.16-1) unstable; urgency=medium

  * Bug fix:
    + fix: add security hardening for security testing

 -- Lei Su <sulei@uniontech.com>  Sat, 20 Nov 2021 15:59:21 +0800

dde-kwin (5.4.14-1) unstable; urgency=medium

  * Bug fix:
    + Fix the problem that the switcher thumbnail cannot be switched caused by efb6b4cd7 submission.

 -- Lei Su <sulei@uniontech.com>  Mon, 15 Nov 2021 14:33:50 +0800

dde-kwin (5.4.13-1) unstable; urgency=medium

  * feat: The 'wayland' branch joins the 'master' branch

 -- Lei Su <sulei@uniontech.com>  Thu, 11 Nov 2021 21:09:23 +0800

dde-kwin (5.3.19-1) unstable; urgency=medium

  * Bug fix:
    + 87758 fix: After S3 wakes up, the screen flashes when opening the file and then closing it

 -- Lei Su <sulei@uniontech.com>  Mon, 30 Aug 2021 10:51:20 +0800

dde-kwin (5.3.18-1) unstable; urgency=medium

  * Bug fix:
    + 63174 optimize work thumbnail
    + 66832 in sw_64 platform, the second background be white in multitasking
    + 82889 add Tibetan and Uighur translation for 'No windows' and 'Drag upwards to remove'

 -- Xu Yongrui <xuyongrui@uniontech.com>  Wed, 04 Aug 2021 14:51:37 +0800

dde-kwin (5.3.16-1) unstable; urgency=medium

  * unit test
    + output test result to ut-report.txt

 -- Lei Su <sulei@uniontech.com>  Fri, 11 Jun 2021 11:38:18 +0800

dde-kwin (5.3.15-1) unstable; urgency=medium

  * unit test
    + fix: repair the error by cppcheck

 -- Lei Su <sulei@uniontech.com>  Fri, 04 Jun 2021 17:32:40 +0800

dde-kwin (5.3.14-1) unstable; urgency=medium

  * unit test

 -- Lei Su <sulei@uniontech.com>  Wed, 02 Jun 2021 13:20:30 +0800

dde-kwin (5.3.13-1) unstable; urgency=medium

  * Bug fix:
    + 68673, 67845 Shortcut Super+Shift+number works in a wrong way
    + 66630 Delete first workspace bigbackground didn't refresh
    + 69809 Highlighter disappear when dragging desktop thumbnail
    + 78218 Crashing when open multitasking view
    + 68672 Shortcut meta+shift+padnumber didn't work

 -- Lei Su <sulei@uniontech.com>  Mon, 31 May 2021 14:54:00 +0800

dde-kwin (5.3.12-1) unstable; urgency=medium

  * Bug fix:
    + refactor: Remove line number in translate file.

 -- Lei Su <sulei@uniontech.com>  Wed, 19 May 2021 20:37:53 +0800

dde-kwin (5.3.11-1) unstable; urgency=medium

  * add memory test.

 -- Lei Su <sulei@uniontech.com>  Wed, 12 May 2021 20:14:13 +0800

dde-kwin (5.3.10-1) unstable; urgency=medium
  * Bug fix:
    + 72368 fix: Compositing is able to enable in Euler.

 -- Lei Su <sulei@uniontech.com>  Tue, 11 May 2021 13:24:35 +0800

dde-kwin (5.3.9-1) UNRELEASED; urgency=medium

  * Bug fix:
    + 70513, 69821 fix: The community version of the multi tasking view is full of icons.
    + 49208, 72368 fix: Add RPM package detection server script.

 -- Lei Su <sulei@uniontech.com>  Wed, 21 Apr 2021 18:09:00 +0800

dde-kwin (5.3.8-1) UNRELEASED; urgency=medium

  * Bug fix:
    + 60642 fix: Click "X" with fingers to turn off insensitivity.

 -- Lei Su <sulei@uniontech.com>  Fri, 02 Apr 2021 17:11:55 +0800

dde-kwin (5.3.7-1.1) unstable; urgency=medium

  * Bug fix:
  + Conflicts that occur when translating files.

 -- Lei Su <sulei@uniontech.com>  Wed, 17 Mar 2021 17:35:56 +0800

dde-kwin (5.3.6-1.1) unstable; urgency=medium

  * Bug fix:
    + 31415 add numpad to global shortcut.
    + 66325 Current workspace changed even didn't add new workspace.
    + 66627 Delete hint show when a workspace thumbnail drag to other one.
    + 58520 There is no popup notify when there is no window in the workspace.
    + 61749 when JM Display card, we close window effect. 

 -- Lei Su <sulei@uniontech.com>  Wed, 17 Mar 2021 16:09:18 +0800

dde-kwin (5.3.5-1) unstable; urgency=medium

  * Task:
    + 61378 Add translation file.
  * Bug fix:
    + 65167 Shortcut "alt+shift+~" crash in multitasking.
    + 64912 Multitasking crash due to window position.

 -- Lei Su <sulei@uniontech.com>  Tue, 09 Mar 2021 17:44:12 +0800

dde-kwin (5.15.1000.3-1) unstable; urgency=medium

  * update for klu/pgv master branch
  * To automate the packaging with correct versions

 -- wugang <wugang@uniontech.com>  Tue, 28 Sep 2021 09:45:38 -0300

dde-kwin (0.0.1-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 11 Mar 2019 09:30:02 +0800
